
GammaLib - Change request #2882

Reorganise CTA background models

05/03/2019 11:09 AM - Knödlseder Jürgen

Status: New Start date: 05/03/2019

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

All CTA background models should be put under the umbrella of the GCTAModelBackground class.

Specifically, GCTAModelAeffBackground, GCTAModelCubeBackground, and GCTAModelIrfBackground should be derived from

GCTAModelSpatial as they are just specific spatial components of the general CTA background model.

Also, GCTAModelRadialAcceptance should be removed, and it remains to be seen whether we really should keep specific radial

classes, such as GCTAModelRadialGauss, GCTAModelRadialPolynom, GCTAModelRadialProfile, or whether we should not simply

put them under the GCTAModelSpatial umbrella.

History

#1 - 07/01/2019 09:36 AM - Knödlseder Jürgen

- Target version set to 1.7.0

#2 - 07/02/2020 04:31 PM - Knödlseder Jürgen

- Target version deleted (1.7.0)

#3 - 11/17/2020 01:49 PM - Knödlseder Jürgen

- Target version set to 2.0.0

#4 - 03/14/2022 02:04 PM - Knödlseder Jürgen

- Target version deleted (2.0.0)
